@font-face {
  font-family: Ticketing;
  src: url('/fonts/ticketing.regular.ttf');
}

html,
body {
  width: 100%;
  height: 100%;
  background: radial-gradient(#ED6F91, #FA3F71);
}

:root {
  --ticket-border-width: 1px;
  --ticket-border-radius: 30px;
  --ticket-border-color: rgb(53, 53, 53);
  --ticket-head-height: 60px;
  --ticket-head-gradient: linear-gradient(#33AAEA, #008EDB);
  --ticket-shadow: 10px 10px 5px rgba(0, 0, 0, 0.486);
}

.container {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-content: center;
  height: 100%;
  width: 100%;
  padding: 0;
}

.container-center,
.container-center-scroll {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: center;
  height: 100%;
  width: 100%;
  padding: 0;
}

.container-center-scroll {
  height: unset;
  padding: 20px;
}

.navbar {
  background-color: #00000000;
  margin: 0 20px 0 20px;
}

.container-center-row {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: center;
  width: 100%;
}

.title-head {
  color: white;
  font-family: 'Averia Sans Libre', cursive;
  font-size: 25pt;
  font-weight: 700;
  font-style: italic;
  padding-bottom: 15px;
}

.title-brand {
  color: white;
  font-family: 'Averia Sans Libre', cursive;
  font-size: 25pt;
  font-weight: 700;
  font-style: italic;
}

.beta-text {
  font-size: 12pt;
}

.title-part {
  color: white;
}

.display-none {
  display: none;
}

.display-flex {
  display: flex;
}

.display-null {
  display: '';
}

.login-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-bottom: 10px;
  width: 100%;
  color: white;
}

.login-description {
  text-align: center;
  color: white;
  width: 300px
}

.login-content {
  max-width: 600px;
  align-self: center;
  color: rgb(0, 0, 0);
  background-color: white;
  padding: 30px;
  border-radius: 20px;
  margin: 20px;
}

.text-content {
  max-width: 600px;
  width: 100%;
  align-self: center;
  color: white;
}

.login-form {
  width: 250px;
}

.replace-text {
  font-weight: bold;
  text-decoration: underline;
}

.div-part {
  padding: 10px 0 0 0;
}

.div-part-edit {
  color: white;
  line-height: 40px;
  font-size: 12pt;
}

.template-part, .event-part {
  background-color: rgba(255, 255, 255, 0.2);
  border-style: none;
  color: white;
  padding-left: 10px;
  border-radius: 5px;
  width: 200px;
  height: 30px;
}

.template-part-wide {
  width: 100%;
  height: 80px;
  resize: none;
}

.event-part {
  width: 100%;
  margin-left: 10px;
}

.event-edit {
  display: flex;
  flex-direction: row;
  width: 100%;
}

.template-part::placeholder, .event-part::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: rgb(255, 255, 255);
  font-style: italic;
  opacity: 1;
  /* Firefox */
}

.template-part-number {
  width: 80px;
}



.div-tickets {
  padding-top: 2%;
  padding-bottom: 3%;
}

.intro-container,
.success-container {
  margin: 30px;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}

.ticket-container,
.ticket-container-intro {
  margin: 30px;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}

.ticket-main {
  display: flex;
  flex-direction: column;
  min-height: 300px;
  border-radius: var(--ticket-border-radius);
  border-width: var(--ticket-border-width);
  background-image: var(--ticket-head-gradient);
  background-size: 100% var(--ticket-head-height);
  background-repeat: no-repeat;
  background-color: white;
  border-style: solid;
  border-color: var(--ticket-border-color);
  box-shadow: var(--ticket-shadow);
  font-family: 'Ticketing';
}

.ticket-main-edit {
  display: flex;
  flex-direction: column;
  min-height: 300px;
  border-radius: var(--ticket-border-radius);
  border-width: 2px;
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0) 97%, #eee 97%, #eee 100%);
  ;
  background-size: 100% var(--ticket-head-height);
  background-repeat: no-repeat;
  background-color: rgba(0, 0, 0, 0.1);
  border-style: solid;
  border-color: white;
  color: white;
}

.ticket-left {
  min-width: 300px;
  width: 550px;
}

.ticket-right {
  min-width: 300px;
  width: 350px;
}

.ticket-head {
  height: var(--ticket-head-height);
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: space-between;
}

.ticket-content {
  display: flex;
  flex-direction: column;
}

.ticket-brand {
  color: white;
  font-family: 'Averia Sans Libre', cursive;
  font-weight: 700;
  font-style: italic;
  font-size: 25pt;
  padding: 5px 10px 10px 20px;
}

.ticket-field {
  padding: 0px 20px 0px 20px;
}

.ticket-content-row {
  display: flex;
  flex-direction: row;
  justify-content: left;
  flex-wrap: wrap;
  width: 100%;
  padding: 10px 0px 10px 0px;

}

.ticket-section-title {
  font-size: 15pt;
  margin-bottom: 0px;
  letter-spacing: 0.7pt;
}

.ticket-section-main {
  font-size: 17pt;
  text-transform: uppercase;
  color: rgb(110, 110, 110);
}

.ticket-edit {
  /* padding: 10px 0px 10px 0px; */
}

.ticket-main-mini {
  display: flex;
  flex-direction: column;
  min-height: 150px;
  border-radius: var(--ticket-border-radius);
  border-width: var(--ticket-border-width);
  background-image: var(--ticket-head-gradient);
  background-size: 100% 50px;
  background-repeat: no-repeat;
  background-color: rgba(255, 255, 255, 1);
  border-style: solid;
  border-color: var(--ticket-border-color);
  color: white;
}

.ticket-left-mini {
  width: 280px;
}

.ticket-right-mini {
  width: 190px;
}

.ticket-head-mini {
  height: 50px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding-left: 20px;
}

.ticket-section-main-mini {
  font-size: 12pt;
  color: rgb(59, 59, 59);
}

.button-section,
.button-helper {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}


.button-custom,
.button-custom-invert {
  border-radius: 10px;
  font-size: 25px;
  font-weight: 700;
  color: #ED6F91;
  font-family: 'Averia Sans Libre', cursive;
  margin: 20px;
  padding: 10px 20px 15px 20px;
  min-width: 100px;
}

.button-custom-invert {
  color: white;
  background-color: #ED6F91;
}


.link-custom:link {
  color: rgb(255, 255, 255);
  background-color: transparent;
  text-decoration: underline;
}

.link-custom:visited {
  color: rgb(255, 255, 255);
  background-color: transparent;
  text-decoration: none;
}

.link-custom:hover {
  color: #ffffffaf;
  background-color: transparent;
}

.link-custom:active {
  color: #ffffffaf;
  background-color: transparent;
}

.footer {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-self: center;
  align-items: center;
  width: 100%;
  padding: 20px 20px 0px 20px;
}

.footer-logos {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-self: center;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
}

.logo-image {
  max-height: 80px;
  max-width: 260px;
  margin: 20px 20px 10px 20px;
}

.logo-image-ci {
  max-height: 50px;
  max-width: 260px;
  margin: 20px 20px 10px 20px;
}

.modal-content {
  border-radius: 20px;
}

.btn-redtext {
  color: red;
}

.category-icons {
  padding: 10px 20px 5px 20px;
}

.category-icon-unselected {
  filter: invert(70%);
  opacity: 0.4;
  padding: 2px 4px 2px 4px;
  height: 32px;
}

.category-icon-unselected:hover:enabled {
  opacity: 0.7;
}

.category-icon-selected {
  opacity: 1;
  padding: 2px 4px 2px 4px;
  height: 32px;
}

@media screen and (max-width: 775px) {
  .ticket-brand {
    display: none !important;
  }

  .ticket-right-mini {
    width: 280px;
  }
}

.footer-text {
  align-self: center;
  color: white;
  padding: 10px 20px 20px 20px;
  font-size: 10pt;
}

.select2-container--bootstrap4 .select2-selection {
  background-color: rgba(255, 255, 255, 0.2);
  color: white;
  border: unset;
}

.btn-clear {
  margin-top: 15px;
  color: #ED6F91;
  border-radius: 15px;
  height: 30px;
  padding: 1px 10px 2px 10px;
}

.category-helper {
  display: flex;
  flex-direction: row-reverse;
}

.template-helper,
.generate-helper,
.example-helper {
  width: 100%;
  background-color: white;
  color: #008EDB;
  padding: 2px 8px 2px 8px;
  border-radius: 5px;
  margin: 0px 0px 10px 0px;
  text-align: left;
  font-size: 14px;
}

.generate-helper {
  max-width: 400px;
  text-align: center;
}

.box {
  width: 240px;
  background-color: white;
  color: #008EDB;
  padding: 2px 8px 2px 8px;
  position: relative;
  border-radius: 5px;
  margin: 0px 20px 0px 0px;
  text-align: center;
  font-size: 14px;
}

.example-helper {
  font-size: 16pt;
  margin: 0;
  padding: 20px;
  max-width: 500px;
}

.box.arrow-top {
  margin-top: 20px;
}

.box.arrow-top:after {
  content: " ";
  position: absolute;
  right: 113px;
  top: -15px;
  border-top: none;
  border-right: 15px solid transparent;
  border-left: 15px solid transparent;
  border-bottom: 15px solid white;
}


.intro,
.success {
  flex-direction: column;
  color: white;
  max-width: 700px;
  font-size: 16pt;
}

.intro-heading,
.success-heading {
  text-align: center;
  margin-bottom: 20px;
  height: 50px;
}

.btn-helper {
  display: inline-flex;
  background-color: rgba(255, 255, 255, 0);
  border-style: none;
  color: white;
  align-items: center;
}

.btn-helper:hover {
  color: #383838;
}

.help-icon {
  font-size: 40px;
  padding-left: 6px;
}

.help-bar {
  flex-direction: row-reverse;
  width: 100%;
  height: 40px;
  justify-content: center;
}

.help-bar-inner {
  max-width: 950px;
  width: 100%;
  text-align: right;
  padding-right: 17px;
}

.fringe-title-intro {
  margin-bottom: 50px !important;
  width: 100% !important;
}

.btn-report {
  color: white;
  display: inline-flex;
  align-items: center;
  /* center the content vertically */
}

.report-icon {
  padding-right: 5px;
}

.btn-delete {
  padding: 0px;
  color: rgb(46, 46, 46);
  background-color: rgba(56, 56, 56, 0);
  border-style: none;
}

.btn-delete:hover {
  color: red;
}

.ticket-list-item {
  display: inline-flex;
  justify-content: space-between;
  width: 100%;
}

.print-part {
  background-color: #fa3f713f;
  padding-left: 5px;
  padding-right: 5px;
}

.td-logo {
  max-width: 300px;
  margin: 20px 0 20px 0;
}

.home-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 50px;
  color: white;
  font-size: 20pt;
  text-align: center;
}

.home-text {
  padding-top: 50px;
}

.btn-view {
  padding-right: 20px;
  color: rgb(46, 46, 46);
}

.list-buttons {
  min-width: 100px;
  padding-left: 30px;
}

.modal-dialog-cookie {
  margin-top: 0rem;
  max-width: 100%;
}

.modal-content-cookie {
  border-radius: 0rem;
}

.cookie-content {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.cookie-button {
  padding-top: 20px;
}

.btn-submit {
  color: white;
  background-color: #ED6F91;
}

.form-flex {
  display: flex;
  flex-direction: row;
}

.form-flex-label,
#checkFeedback {
  padding-left: 20px;
}

.nav-link {
  color: rgba(255, 255, 255, 0.767) !important;
}

.nav-link:hover {
  color: white !important;
}

.accordion-body {
  color: black;
}

#ticketLink{
  width: 100%;
}